### Method

# Gtk.BuildableParseContext.get_position

#### Declaration [src]

    void
    gtk_buildable_parse_context_get_position (
      GtkBuildableParseContext* context,
      int* line_number,
      int* char_number
    )

#### Description [src]

Retrieves the current line number and the number of the character on that line. Intended for use in error messages; there are no strict semantics for what constitutes the “current” line number other than “the best number we could come up with for error messages.”

#### Parameters

`line_number` | `int*`
| return location for a line number, or `NULL`
| Direction: out
| Ownership of the data is transferred to the callee
`char_number` | `int*`
| return location for a char-on-line number, or `NULL`
| Direction: out
| Ownership of the data is transferred to the callee